diff -r -U 3 minecraft/net/minecraft/nbt/JsonToNBT.java minecraft_patched/net/minecraft/nbt/JsonToNBT.java
--- minecraft/net/minecraft/nbt/JsonToNBT.java
+++ minecraft_patched/net/minecraft/nbt/JsonToNBT.java
@@ -259,11 +259,11 @@
             }
 
             if (p_193603_2_ == 1) {
-               list.add(Byte.valueOf(((NBTPrimitive)nbtbase).func_150290_f()));
+               list.add((T)Byte.valueOf(((NBTPrimitive)nbtbase).func_150290_f()));
             } else if (p_193603_2_ == 4) {
-               list.add(Long.valueOf(((NBTPrimitive)nbtbase).func_150291_c()));
+               list.add((T)Long.valueOf(((NBTPrimitive)nbtbase).func_150291_c()));
             } else {
-               list.add(Integer.valueOf(((NBTPrimitive)nbtbase).func_150287_d()));
+               list.add((T)Integer.valueOf(((NBTPrimitive)nbtbase).func_150287_d()));
             }
 
             if (this.func_193613_m()) {
